﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using InvokeSolutions.Xlsx.Data;
using InvokeSolutions.Xlsx;
using System.Diagnostics;

namespace zSampleCustomDataType
{
    enum SpaceObjectType
    {
        Planet,
        Satellite,
        Other
    }

    class SpaceObject
    {
        public SpaceObjectType Type { get; set; }
        public string Name { get; set; }
    }

    class Program
    {
        static void Main(string[] args)
        {
            // copy template file to destination file
            File.Copy("template.xlsx", "report.xlsx", true);

            // create new document data source. Learn more in 'importing data' article
            DocumentDataSource dds = new DocumentDataSource();

            DataItem.RegisterNewType(typeof(SpaceObject), typeof(SpaceObjectDataItem));

            // assign 'name' value
            dds["NAME"] = DataItem.ConvertFrom(new SpaceObject { Name = "Mars", Type = SpaceObjectType.Planet });

            // render destination value
            XlsxRenderer.RenderDocument("report.xlsx", dds);

            // open document
            Process.Start("report.xlsx");
        }
    }
}
