﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using InvokeSolutions.Xlsx.Data;

namespace zSampleCustomDataType
{
    class SpaceObjectDataItem : DataItem
    {
        public SpaceObjectDataItem()
        {
        }

        public SpaceObjectDataItem(SpaceObject obj)
        {
            this.InnerData = obj;
        }

        public override string ToString()
        {
            if (InnerData is SpaceObject)
            {
                var obj = InnerData as SpaceObject;

                // check if format was provided
                if (string.IsNullOrEmpty(this.Name.Format))
                    // return default format if no special format provided
                    return string.Format("{0}({1})", obj.Name, obj.Type);
                else
                    // return user format
                    return Name.Format
                        .Replace("{NAME}", obj.Name)
                        .Replace("{TYPE}", obj.Type.ToString());
            }
            else
                return base.ToString();
        }
    }
}
